GNU bug report logs - #33002
26.1; EWW sends unspecific "Accept: */*" header

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Winston Weinert <winston@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 33002 <at> debbugs.gnu.org and Winston Weinert <winston@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 13 May 2019 18:08:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 14:08:18 2019
Received: from localhost ([127.0.0.1]:46113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQFN3-00050k-P8
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 14:08:18 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hQFN1-00050a-UQ
 for 33002 <at> debbugs.gnu.org; Mon, 13 May 2019 14:08:16 -0400
Received: from [12.41.144.226] (helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hQFMx-0000P0-KD; Mon, 13 May 2019 20:08:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
 <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
 <838t28eosw.fsf@HIDDEN>
 <CAA8GjPn4d1fxZM-gVVPawe2woQwVGN7mGKUJriiOrJS4=sa7LQ@HIDDEN>
 <CAA8GjPkon-DJPUh8KobqDDLwU6Xh4o8hn0Gsu=fbmoGGcUWCgA@HIDDEN>
 <83bm6s8hde.fsf@HIDDEN>
Date: Mon, 13 May 2019 14:08:09 -0400
In-Reply-To: <83bm6s8hde.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 14 Nov
 2018 05:31:25 +0200")
Message-ID: <87imuew7li.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> From: Federico Tedin
 <federicotedin@HIDDEN> >> Date: Tue, 13 Nov 2018 18:26:53 -0300 >> Cc:
 John Smith <winston@HIDDEN>, 33002 <at> debbugs.gnu.org >> >> Eli, sorry to bother
 you. Just wanted to kno [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org, winston@HIDDEN,
 Federico Tedin <federicotedin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Federico Tedin <federicotedin@HIDDEN>
>> Date: Tue, 13 Nov 2018 18:26:53 -0300
>> Cc: John Smith <winston@HIDDEN>, 33002 <at> debbugs.gnu.org
>> 
>> Eli, sorry to bother you. Just wanted to know if the last patch I sent
>> is OK or if it needs any further changes.
>
> I still don't think that a variable is the right solution for this.
> Perhaps Lars (CC'ed) or someone else has an opinion or a better
> proposal?

I think it makes sense to use a variable here -- if for no other reason
that the string is used two different places in the eww source code, and
avoiding repeating that long string is nice.  But leaving it
undocumented (in the manual) is fine, I think, as I don't see anybody
ever wanting to change it.

So I've applied Federico's patch to Emacs 27.1.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 14 Nov 2018 03:31:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 22:31:54 2018
Received: from localhost ([127.0.0.1]:50804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMluE-00023S-KZ
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2018 22:31:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:54920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gMluC-00023G-LH
 for 33002 <at> debbugs.gnu.org; Tue, 13 Nov 2018 22:31:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gMlu2-0001qm-Uy
 for 33002 <at> debbugs.gnu.org; Tue, 13 Nov 2018 22:31:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55734)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gMlu0-0001q7-AN; Tue, 13 Nov 2018 22:31:41 -0500
Received: from [176.228.60.248] (port=1085 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gMltx-0006h2-GY; Tue, 13 Nov 2018 22:31:39 -0500
Date: Wed, 14 Nov 2018 05:31:25 +0200
Message-Id: <83bm6s8hde.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Federico Tedin <federicotedin@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <CAA8GjPkon-DJPUh8KobqDDLwU6Xh4o8hn0Gsu=fbmoGGcUWCgA@HIDDEN>
 (message from Federico Tedin on Tue, 13 Nov 2018 18:26:53 -0300)
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
 <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
 <838t28eosw.fsf@HIDDEN>
 <CAA8GjPn4d1fxZM-gVVPawe2woQwVGN7mGKUJriiOrJS4=sa7LQ@HIDDEN>
 <CAA8GjPkon-DJPUh8KobqDDLwU6Xh4o8hn0Gsu=fbmoGGcUWCgA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org, winston@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Federico Tedin <federicotedin@HIDDEN>
> Date: Tue, 13 Nov 2018 18:26:53 -0300
> Cc: John Smith <winston@HIDDEN>, 33002 <at> debbugs.gnu.org
> 
> Eli, sorry to bother you. Just wanted to know if the last patch I sent
> is OK or if it needs any further changes.

I still don't think that a variable is the right solution for this.
Perhaps Lars (CC'ed) or someone else has an opinion or a better
proposal?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 13 Nov 2018 21:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 13 16:27:15 2018
Received: from localhost ([127.0.0.1]:50679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gMgDK-0001zL-Jj
	for submit <at> debbugs.gnu.org; Tue, 13 Nov 2018 16:27:15 -0500
Received: from mail-lj1-f179.google.com ([209.85.208.179]:32878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <federicotedin@HIDDEN>) id 1gMgDH-0001z6-HJ
 for 33002 <at> debbugs.gnu.org; Tue, 13 Nov 2018 16:27:12 -0500
Received: by mail-lj1-f179.google.com with SMTP id v1-v6so12217966ljd.0
 for <33002 <at> debbugs.gnu.org>; Tue, 13 Nov 2018 13:27:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=rYI2wefjfF3ghPVCO4WyBRvn1hCDfyp7QjRopQthFZk=;
 b=a6SWtrT9U8T+YDzMFo7cyxL3K8ZlKXmA5WpX3O0mUOW111RjzpDJAjeWMOWjjgXGwG
 lZxcQm7/YLRHeOYq3B/QkQgX4hwjo+2pez54bsXUYTHMVdtfj2fPgFJlLF2KBJ7p9oBF
 VwqJ0SgVS1WWpPXeQmHnB15ZUZMG/oIWroapkdWc4CAJTusA87TfebrBXsJeoPXhfYgP
 CsplPJ+/BkLOsgMqDmg+7dsjawrW/dX2FTppu8WDDZmRl3MvXjSeJyW9x/tn0EZ6YkqI
 OivaEDTFyvLUgvxBvgDhZBdB2oMXl8MPxtggmDxE3Kq37tKMET38IlCBlA/X1z9TcbRt
 s+yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=rYI2wefjfF3ghPVCO4WyBRvn1hCDfyp7QjRopQthFZk=;
 b=aW3q9syCpAZYALURVihyx5GOyjyhZwavvEh+9+MXBTcnDLpAuAfP5jO249VePQfn8N
 z+RN/mOK/3viZGO3kuPWwJXX4EsQULIxefRIL2IjuI6pw6g6LjKh/2WpbYqZD3GUI7qz
 8vyuTl3ozn43o43yYNXhtVLk3oS+J4WUx89rWg2v7DqynUtj5jWabpYMdYdNquLHcgtx
 AXEvbHJm04wJ/VAGJcPgP7hW340gtLvNY9DbhBAsG2Ej02oOEybLvuDPxxV4cDUaHTHM
 slJXW7rC/5Nt6l2Zo7qe/yc/oxXfdBeAfVMFE8f7FPmA/H7XgXg48jTED01G2TKBonai
 DZDg==
X-Gm-Message-State: AGRZ1gKpdV4M015WAwyZKgczSy++Tp4Nm301PfqF1SGPQVNHhefK5HgU
 Txz3CBELJsRkkm69JB85HhbVfiCXzV8+dZmtBO0=
X-Google-Smtp-Source: AJdET5eYMPaBZXGZVvhaxZRwjSEc8vMt9iqKrQL7NOh7Xo35MdAoBiRGIl29SwDsMEcMcgNnu9qGGXpTFD8QYQbd2GQ=
X-Received: by 2002:a2e:9256:: with SMTP id
 v22-v6mr4485206ljg.178.1542144425461; 
 Tue, 13 Nov 2018 13:27:05 -0800 (PST)
MIME-Version: 1.0
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
 <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
 <838t28eosw.fsf@HIDDEN>
 <CAA8GjPn4d1fxZM-gVVPawe2woQwVGN7mGKUJriiOrJS4=sa7LQ@HIDDEN>
In-Reply-To: <CAA8GjPn4d1fxZM-gVVPawe2woQwVGN7mGKUJriiOrJS4=sa7LQ@HIDDEN>
From: Federico Tedin <federicotedin@HIDDEN>
Date: Tue, 13 Nov 2018 18:26:53 -0300
Message-ID: <CAA8GjPkon-DJPUh8KobqDDLwU6Xh4o8hn0Gsu=fbmoGGcUWCgA@HIDDEN>
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org, John Smith <winston@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli, sorry to bother you. Just wanted to know if the last patch I sent
is OK or if it needs any further changes.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 4 Nov 2018 18:30:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 13:30:10 2018
Received: from localhost ([127.0.0.1]:34247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJNA2-0004qN-Bi
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 13:30:10 -0500
Received: from mail-lj1-f175.google.com ([209.85.208.175]:38598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <federicotedin@HIDDEN>) id 1gJNA0-0004pD-Fz
 for 33002 <at> debbugs.gnu.org; Sun, 04 Nov 2018 13:30:09 -0500
Received: by mail-lj1-f175.google.com with SMTP id q186-v6so5978831ljb.5
 for <33002 <at> debbugs.gnu.org>; Sun, 04 Nov 2018 10:30:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Tr7Daln3v8TbPGwUzXT8sGnaXwB2JTPoYteA4g2kSgE=;
 b=hgVDwyOWmol3vYRVX5w+GC4Af7EiqPaPbJesHm+vWXopeDoUtCHmMJtKlDQoyq5m7h
 PM4bshYXSi/LxH8oxCyvyO8VM0BG6gfwsPNPHNWY/SWmDQwzvjSDiF8thLPkQzhLlh+z
 kkJbrAnAc12WEN0bUPFH50WaNDTDVAcih5T32G4lLnXRpkxJUufQJlTeWOX+RHBJJyf5
 4rreDpFKZI4FjL/TIYPJ/r8Ygvj5Q2Hm8JAcOh0dGIK8b5TksmWlmEm3Zs8HkWW/MTaz
 S2S6FL0LoJJj69GTyoLvTypvtN1A9zKmoC5IEjMrqAK5OxkILMBBtEuq10yRnUiIaRPp
 M0+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Tr7Daln3v8TbPGwUzXT8sGnaXwB2JTPoYteA4g2kSgE=;
 b=X6UYrKcuD9+P/SB5ihe5UgphoB0OEDEK4EM+LGvauYjM6bYe2qT1gWvrc2Xa4IXHdR
 3WpPY4GNRxHs42GdSIYSdyLgud/7MJAz9Zrz9w6uyPBXmYtZI0/2nU29/ewAjH8BVgNg
 jQr3Nt2F+0xRPByJ05uoUVj80O7KVd26FQPRPz/J9FVjkyW6QmBcbGr1vOjt5mEfrCeX
 D7v/hK72V1f2lDYNkdiOzlr0VoRhZGI19n04UgUDfD+74y+CpsI0lNOtmaoORL+/OmnG
 tkGqYlkbq/qi/iUtRCcfxEo67HDZErmVkAJvTE8HveW7yHD5f8XKw593IPmEal+7Zix6
 j3Gw==
X-Gm-Message-State: AGRZ1gJnBWKxoMJHEAR8Wa2V+L4557NGOMK2r5KYmjLAAUK+wFS0HSq6
 JMnWM6+ONkeID6/qAgFmenVMEbHCvMEWAvFvoWc=
X-Google-Smtp-Source: AJdET5ep86+SBos97wPzeviIbGzjXYER2eREVoGqzccoX5tAnKHuQKlzBdzsb9qyEGM4D+iccTmdZToBVTMhKMFTSHE=
X-Received: by 2002:a2e:98d:: with SMTP id 135-v6mr13323469ljj.2.1541356202343; 
 Sun, 04 Nov 2018 10:30:02 -0800 (PST)
MIME-Version: 1.0
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
 <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
 <838t28eosw.fsf@HIDDEN>
In-Reply-To: <838t28eosw.fsf@HIDDEN>
From: Federico Tedin <federicotedin@HIDDEN>
Date: Sun, 4 Nov 2018 15:29:49 -0300
Message-ID: <CAA8GjPn4d1fxZM-gVVPawe2woQwVGN7mGKUJriiOrJS4=sa7LQ@HIDDEN>
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/mixed; boundary="000000000000e9e0b20579daf418"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org, John Smith <winston@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000e9e0b20579daf418
Content-Type: text/plain; charset="UTF-8"

> Does it really make sense to make this a customizable option?  How
> would an average user choose a value for this option?
>
> I think EWW should decide by itself what header to send.

I agree, it is not something most people will want to change. If they
really want to change it though, they can just do (setq
eww-accept-content-types ...). I've changed the patch to use defvar
instead of defcustom.

--000000000000e9e0b20579daf418
Content-Type: text/x-patch; charset="US-ASCII"; name="eww.patch"
Content-Disposition: attachment; filename="eww.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jo37oap50>
X-Attachment-Id: f_jo37oap50

RnJvbSBlNjczMDcwMWYzMjBjZjY1YWIwMmM4ZDU1MGE0NDJkM2U0ZWEzYzI1IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBGZWRlcmljbyBUZWRpbiA8ZmVkZXJpY290ZWRpbkBnbWFpbC5j
b20+CkRhdGU6IFN1biwgNCBOb3YgMjAxOCAxNToyNDozNiAtMDMwMApTdWJqZWN0OiBbUEFUQ0gg
MS8xXSBBZGRzIHZhcmlhYmxlICdld3ctYWNjZXB0LWNvbnRlbnQtdHlwZXMnCgoqIGxpc3AvbmV0
L2V3dy5lbCAoZXd3LWFjY2VwdC1jb250ZW50LXR5cGVzKTogTmV3IHZhcmlhYmxlLgogIChld3cp
OiBVc2UgaXQgKEJ1ZyMzMzAwMikuCiAgKGV3dy1yZWxvYWQpOiBVc2UgaXQuCi0tLQogbGlzcC9u
ZXQvZXd3LmVsIHwgMTQgKysrKysrKysrKy0tLS0KIDEgZmlsZSBjaGFuZ2VkLCAxMCBpbnNlcnRp
b25zKCspLCA0IGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBhL2xpc3AvbmV0L2V3dy5lbCBiL2xp
c3AvbmV0L2V3dy5lbAppbmRleCA2NGNjMWE1MWY2Li4wYzNmZThmN2IzIDEwMDY0NAotLS0gYS9s
aXNwL25ldC9ld3cuZWwKKysrIGIvbGlzcC9uZXQvZXd3LmVsCkBAIC0yMjMsNiArMjIzLDEwIEBA
IGV3dy1wcm9tcHQtaGlzdG9yeQogKGRlZnZhciBld3ctbG9jYWwtcmVnZXggImxvY2FsaG9zdCIK
ICAgIldoZW4gdGhpcyByZWdleCBpcyBmb3VuZCBpbiB0aGUgVVJMLCBpdCdzIG5vdCBhIGtleXdv
cmQgYnV0IGFuIGFkZHJlc3MuIikKIAorKGRlZnZhciBld3ctYWNjZXB0LWNvbnRlbnQtdHlwZXMK
KyAgInRleHQvaHRtbCwgdGV4dC9wbGFpbiwgdGV4dC9zZ21sLCB0ZXh0L2NzcywgYXBwbGljYXRp
b24veGh0bWwreG1sLCAqLyo7cT0wLjAxIgorICAiVmFsdWUgdXNlZCBmb3IgdGhlIEhUVFAgJ0Fj
Y2VwdCcgaGVhZGVyLiIpCisKIChkZWZ2YXIgZXd3LWxpbmsta2V5bWFwCiAgIChsZXQgKChtYXAg
KGNvcHkta2V5bWFwIHNoci1tYXApKSkKICAgICAoZGVmaW5lLWtleSBtYXAgIlxyIiAnZXd3LWZv
bGxvdy1saW5rKQpAQCAtMjgyLDggKzI4Niw5IEBAIGV3dwogICAobGV0ICgoaW5oaWJpdC1yZWFk
LW9ubHkgdCkpCiAgICAgKGluc2VydCAoZm9ybWF0ICJMb2FkaW5nICVzLi4uIiB1cmwpKQogICAg
IChnb3RvLWNoYXIgKHBvaW50LW1pbikpKQotICAodXJsLXJldHJpZXZlIHVybCAnZXd3LXJlbmRl
cgotICAgICAgICAgICAgICAgIChsaXN0IHVybCBuaWwgKGN1cnJlbnQtYnVmZmVyKSkpKQorICAo
bGV0ICgodXJsLW1pbWUtYWNjZXB0LXN0cmluZyBld3ctYWNjZXB0LWNvbnRlbnQtdHlwZXMpKQor
ICAgICh1cmwtcmV0cmlldmUgdXJsICdld3ctcmVuZGVyCisgICAgICAgICAgICAgICAgICAobGlz
dCB1cmwgbmlsIChjdXJyZW50LWJ1ZmZlcikpKSkpCiAKIChkZWZ1biBld3ctLWR3aW0tZXhwYW5k
LXVybCAodXJsKQogICAoc2V0cSB1cmwgKHN0cmluZy10cmltIHVybCkpCkBAIC05NDQsOCArOTQ5
LDkgQEAgZXd3LXJlbG9hZAogCSAgICAoZXJyb3IgIk5vIGN1cnJlbnQgSFRNTCBkYXRhIikKIAkg
IChld3ctZGlzcGxheS1odG1sICd1dGYtOCB1cmwgKHBsaXN0LWdldCBld3ctZGF0YSA6ZG9tKQog
CQkJICAgIChwb2ludCkgKGN1cnJlbnQtYnVmZmVyKSkpCi0gICAgICAodXJsLXJldHJpZXZlIHVy
bCAnZXd3LXJlbmRlcgotCQkgICAgKGxpc3QgdXJsIChwb2ludCkgKGN1cnJlbnQtYnVmZmVyKSBl
bmNvZGUpKSkpKQorICAgICAgKGxldCAoKHVybC1taW1lLWFjY2VwdC1zdHJpbmcgZXd3LWFjY2Vw
dC1jb250ZW50LXR5cGVzKSkKKyAgICAgICAgKHVybC1yZXRyaWV2ZSB1cmwgJ2V3dy1yZW5kZXIK
KwkJICAgICAgKGxpc3QgdXJsIChwb2ludCkgKGN1cnJlbnQtYnVmZmVyKSBlbmNvZGUpKSkpKSkK
IAogOzsgRm9ybSBzdXBwb3J0LgogCi0tIAoyLjE3LjEKCg==
--000000000000e9e0b20579daf418--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 4 Nov 2018 17:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 12:27:40 2018
Received: from localhost ([127.0.0.1]:34235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJMBY-0003PV-0q
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:27:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1gJMBW-0003PJ-Ji
 for 33002 <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:27:38 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1gJMBG-0006E7-5o
 for 33002 <at> debbugs.gnu.org; Sun, 04 Nov 2018 12:27:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60905)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1gJMBF-0006Dx-UG; Sun, 04 Nov 2018 12:27:21 -0500
Received: from [176.228.60.248] (port=4863 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1gJMBD-0005A4-M1; Sun, 04 Nov 2018 12:27:21 -0500
Date: Sun, 04 Nov 2018 19:27:11 +0200
Message-Id: <838t28eosw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Federico Tedin <federicotedin@HIDDEN>
In-reply-to: <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
 (message from Federico Tedin on Sun, 4 Nov 2018 00:15:38 -0300)
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
 <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org, winston@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

> From: Federico Tedin <federicotedin@HIDDEN>
> Date: Sun, 4 Nov 2018 00:15:38 -0300
> Cc: 33002 <at> debbugs.gnu.org
> 
> I've created a small patch which introduces a new variable, its value is
> used as the value for the 'Accept' HTTP header in requests created by EWW.
> As the default value I chose to use the same Lynx uses.

Does it really make sense to make this a customizable option?  How
would an average user choose a value for this option?

I think EWW should decide by itself what header to send.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 4 Nov 2018 03:15:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 23:15:58 2018
Received: from localhost ([127.0.0.1]:33258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJ8tK-0001Vl-Kr
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2018 23:15:58 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:43174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <federicotedin@HIDDEN>) id 1gJ8tI-0001VW-K1
 for 33002 <at> debbugs.gnu.org; Sat, 03 Nov 2018 23:15:57 -0400
Received: by mail-lf1-f47.google.com with SMTP id u18so3791020lff.10
 for <33002 <at> debbugs.gnu.org>; Sat, 03 Nov 2018 20:15:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=8pRk4FHithXjfATPoAGW6gsXi/6DFKFqtYcX93OsFXs=;
 b=UtoMKpiYtTDDBqIaLIEmGpLVKpytr5Elkv8RtnqChDIkhZ7Xj4p4Uag+9eGVw2WoUJ
 +hkEqSCRzV+e5A8OMKHrxrUkIxDHJoblxoNmv6YN8UFetchuOkvLcOMqacwkW6hcPe1+
 dIwMYljVyeV72l/YcHodFrtuvcmR3Do7qOfzVhkbg7ZBrn+2888BcJ1HvWJDj9b4u03c
 BV5MOReLColw8AAHzzMSr+Wbwnput22diquUzYHX4yM0K0XkHb4Pln/n19JIO03eviuj
 YR4e52EJkdKlXyJHsrwZDh8t7ReOkZjRjzsIDXA77Wkv3Dmsh4bvX8UP4HRwNKCdHGZ+
 /gXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=8pRk4FHithXjfATPoAGW6gsXi/6DFKFqtYcX93OsFXs=;
 b=DqgPbFYlvhNISBJpcXV0CH/Eowee8vkwOyZWE/vUmUXZVXNFbxOWaxe+arnHm12YOA
 PAWz6dPyGYQ6CwE6wcdXpomJQJ8ehrAWWhymDKnOt5f07Mx1ZUXvbKI/FwhGaJ7pHWKm
 3VRHccM+y6FD/z9vSJq5tU+si57nmYHN5CWjKkrr+mnpy4CiKTdhuxmpaxH/vuTdIPp8
 z54hlML+n81Zrbqd4BGeJ2UMyZbS2mtdKdMfpbN/+rMg6Ca/eoUuGCKhBLxYUVCH5c3F
 8cDqJPrjCr6WO1qnvPv5JOPubrKf/mDNTJalxxRsKuZUBOGbAX1MT5rewmRCNS9SQ+Dh
 PrCQ==
X-Gm-Message-State: AGRZ1gKyaXQp0QPJCSkL3kPTeXnZzdH22FGeZKAE9MVyq6LdshQrUtRg
 BwNKBdFnqsgKS5bRlUtSeNS9GpwZBIc4YHJG7mE=
X-Google-Smtp-Source: AJdET5e6g3qZg3Jy78Ew+uPfdSuWF0f2JOH6bLtC5nZC1izvAKeAvZ5ndTNlinJpcFke6KDNEzP3RoRv3b0auLblLQA=
X-Received: by 2002:a19:660a:: with SMTP id
 a10-v6mr6819444lfc.100.1541301350606; 
 Sat, 03 Nov 2018 20:15:50 -0700 (PDT)
MIME-Version: 1.0
References: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
In-Reply-To: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
From: Federico Tedin <federicotedin@HIDDEN>
Date: Sun, 4 Nov 2018 00:15:38 -0300
Message-ID: <CAA8GjPmWbkW11+ZzHLze+KkFsEM-us33-9h9iERipOTyJBEDBA@HIDDEN>
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
To: John Smith <winston@HIDDEN>
Content-Type: multipart/mixed; boundary="0000000000007eccc40579ce2f40"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000007eccc40579ce2f40
Content-Type: text/plain; charset="UTF-8"

I've created a small patch which introduces a new variable, its value is
used as the value for the 'Accept' HTTP header in requests created by EWW.
As the default value I chose to use the same Lynx uses.

--0000000000007eccc40579ce2f40
Content-Type: text/x-patch; charset="US-ASCII"; name="eww.patch"
Content-Disposition: attachment; filename="eww.patch"
Content-Transfer-Encoding: base64
Content-ID: <f_jo2b0coq0>
X-Attachment-Id: f_jo2b0coq0
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=
--0000000000007eccc40579ce2f40--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at 33002 <at> debbugs.gnu.org:


Received: (at 33002) by debbugs.gnu.org; 13 Oct 2018 21:59:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 13 17:59:25 2018
Received: from localhost ([127.0.0.1]:48639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gBRwT-0004uT-8w
	for submit <at> debbugs.gnu.org; Sat, 13 Oct 2018 17:59:25 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:46074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <federicotedin@HIDDEN>) id 1gBRwR-0004uH-Pw
 for 33002 <at> debbugs.gnu.org; Sat, 13 Oct 2018 17:59:24 -0400
Received: by mail-lf1-f49.google.com with SMTP id n13-v6so943609lfe.12
 for <33002 <at> debbugs.gnu.org>; Sat, 13 Oct 2018 14:59:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to:cc;
 bh=S8oGPX8X4MGXuvVVyMLqeaKTOrElYnyqGLHvHm0tt7I=;
 b=P6m17qNWa6WUQ7kwir4KCu4vBC+2T80Uzw65fti6u+x6hq3CpDwGs1mHVcF4VMcwsv
 sUdq+XWNWkABMid1+fu2jyys6X7YMcqBqOpGx7gjjyXJX07+SimZHcn0/QNRlH6jCE96
 /XHosToBpzBjMIVCK0o5/ScsuCs45c4/KrUYiF0bRCbFI84+6BWBrEblwvNR3oS/johx
 4QfotnOUdauImTT8p0Fmvhm6QE6kYI/KwImuDQcqp5Cr+kHKMb4jQgo5N2NsmNVMZBZi
 6+dFiWUmJAHMQJl+KrN+AeAnwNDoGbw9Lb5pjIor2mVRQxEYU9Lq7EzTewSRz8lVrFfE
 JLxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc;
 bh=S8oGPX8X4MGXuvVVyMLqeaKTOrElYnyqGLHvHm0tt7I=;
 b=bHdGsP4b2gpCM3p52kkuExz3s0mIrA670DjuUEGTyw/hkxC7xCN1JIbpwCtOu5KvVx
 y9K3NiHE3cCp86Joi3ngISjVMX9k9bLgyjbNUWhI+R0oKZ9h38VVGXrFhfUcaNm3Lqw/
 98tdb2b3GP2bdyY1C4xr4QkM0qlZcqPmGEdP3nqJK5o8SSVDvCq1n/n7weyAszFDF9Bo
 JVL4vCqBO454qp4BeZChWLDoNI25u83QD5lbK1RrSFnpK1GuahCbY4gUKlMahvrk95FW
 UxhIfgIztiRqvUxG1J+dqD0EhRVBQydiNxoCHwhmATz76O4weU/ic5NWhEQ+2azv3IBE
 7Qfg==
X-Gm-Message-State: ABuFfoimBzFdz7QzjFyc+Y0xuh9r9Xk3w77stRcbmA9Fba/FvcKu/6Cg
 MNYx/YrgABaTjQUu+ZhjmFyP6JGRRTSo1FJ+mrw=
X-Google-Smtp-Source: ACcGV633IxvXZehWwueiINAM65VOYcgnqCz62Dj6zn+rkJSShSZG3137jmTgMCwlcBo1c9Bho2sZyQrjkJ9S6vCg/mU=
X-Received: by 2002:a19:9e54:: with SMTP id
 h81-v6mr6385867lfe.155.1539467957623; 
 Sat, 13 Oct 2018 14:59:17 -0700 (PDT)
MIME-Version: 1.0
From: Federico Tedin <federicotedin@HIDDEN>
Date: Sat, 13 Oct 2018 18:59:05 -0300
Message-ID: <CAA8GjPnVe8xPr6rCTKdL52oBV5sRrwEgfmX0PB8XMUtOxwCwkw@HIDDEN>
Subject: Re: bug#33002: 26.1; EWW sends unspecific "Accept: */*" header
To: winston@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33002
Cc: 33002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I noticed EWW sends header "Accept: */*", which appears to prevent
> HTTP servers that provide multiple content types from picking a sensible
> response content type.
>
> More information about the Accept header with a list of RFCs at the
> bottom of the page can be found here [1]. For comparison lynx sends a
> more specific header, which indicates It'd prefer common web content
> types before anything else [2]. I experienced this particular bug when
> browsing [3], which uses the Accept header to determine when to show the
> built-in API Explorer. In a web browser it shows a HTML form to interact
> with the API, however actual API clients use "Accept: application/json"
> or similar to get the desired format.

I've been looking into this problem. It seems that EWW uses
url-retrieve to retrieve HTTP contents, which then calls url-http.  In
url-http, the variable url-mime-accept-string is used as the value for
the HTTP Accept header (if it is set to nil, "*/*" is used
instead). By default, url-mime-accept-string is set to nil.

We could temporarily set the variable url-mime-accept-string with
another value when url-retrieve is called by EWW. I am not sure what
the default value should be, or if it should be configurable. Maybe
the same value used by Lynx would be a good starting point.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2018 08:11:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 10 04:11:00 2018
Received: from localhost ([127.0.0.1]:42876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gA9a7-00009i-Ax
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 04:11:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42715)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winston@HIDDEN>) id 1gA6mM-0003uI-Q3
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 01:11:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <winston@HIDDEN>) id 1gA6mE-00072s-PZ
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 01:11:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49855)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <winston@HIDDEN>) id 1gA6mB-00071P-G0
 for submit <at> debbugs.gnu.org; Wed, 10 Oct 2018 01:11:16 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52309)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winston@HIDDEN>) id 1gA6m9-0004nF-Ie
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 01:11:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <winston@HIDDEN>) id 1gA6m5-0006y0-RN
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 01:11:13 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:44495)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <winston@HIDDEN>) id 1gA6m5-0006w1-Iq
 for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2018 01:11:09 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id D9068220B8
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2018 01:11:04 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 10 Oct 2018 01:11:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ml1.net; h=to
 :subject:from:message-id:date:mime-version:content-type
 :content-transfer-encoding; s=fm1; bh=X6OeuNeIVurbGz6svsk6t9Fb4/
 3Ztc95hQKS3UmpHoE=; b=S53hxTw1c/qqa4Hnv8YH7hbq+EvDK3B2fqtow0gV9h
 ka8pguQnRy/VNz/kG5Nz2yrZsM0AMdzgZzaDPJT66ICZdYKLdkZK2ugq7F1Lq4zk
 I0UF1sTWq3hxJbv/oZmEvpt5zVc+/jCU+zOGD2Xl3QIGVGaLwZWww8GAR9SrO4g1
 ubsa8/3z0EpCr2Nxzp+1+/e7N5LxBz9uu1KXS9X4yrASJ5b6YewizVNOJmQ06rgN
 vV5bbwl9Sbj6+/lH4+BQ2uaC2oLYINs1suiQlGQHO2QXc6F9aXlEVzhCCf2ZYrId
 7PWUbEsHhD8kqcUBSwWWgcA1iJnZP8uKkBZ63jqVKSbA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=X6OeuN
 eIVurbGz6svsk6t9Fb4/3Ztc95hQKS3UmpHoE=; b=vw0cCY1E7j0inR1Syl7Emk
 ifssJzkoCcAFFdzes02fBLo26P03/DeMAGtwRr2tru2E4r0hCUWejvJ2cdrg6HmD
 XNrlhvxHkZrv2TxWFvdkRpUY5UESR6bPiQQNRHqOOn0E32jb94oT/CGoh8vg1IAN
 BAGSnxMNU4YmtlSIOazFVlZ6ctB7KO1jvbRpYUgUskI9NFVWmvmi5S4CV99z5kK5
 avGZ868pI6eaQOs6sjIKCd1qg+2e+N3459mE+RsMYVHItOPXI/lTJP+Z1Ya239DP
 covc00i/a75mzLjgfaw3jzmKkyanvoUEQ2oMu/leDsqvuWlg8poNwbSVRkUS88Tw
 ==
X-ME-Sender: <xms:6Im9W8rmKWDS3skBduw4iWDtPkM5MM9LavKQf0rbbAdc46qQYcuczQ>
X-ME-Proxy: <xmx:6Im9W5JhUGE_j1PVzStznuWX2F9tAZukefTHMOBrAR7gWEQA6CphRQ>
 <xmx:6Im9W-EQdzlngx4JBjCh72CqeT5J9PspmSet2bGtA8jvKKXyhzjIZg>
 <xmx:6Im9W9SdgXQma_aNlgW1j6tUoqYEJqhIh-affJdrKRNlyTl9i5RtAA>
 <xmx:6Im9W6fs3V03wwj5mHedcFMHVDpNxr5cSSrw4wlzaOMfViyiey1qyA>
 <xmx:6Im9W8on055ptJ31QSbwqdzT8GfhVXWgUGB_PY4GZwmYFwsbq4Y4MA>
 <xmx:6Im9W4gVqYAWwBTfmR0olhUnN8R0AZ6_zodtBFpB5E6zHJAOHKkANA>
Received: from [192.168.1.51] (cpe-65-29-161-10.wi.res.rr.com [65.29.161.10])
 by mail.messagingengine.com (Postfix) with ESMTPA id 07A98102D7
 for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2018 01:11:03 -0400 (EDT)
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; EWW sends unspecific "Accept: */*" header
From: Winston Weinert <winston@HIDDEN>
Message-ID: <f951de3c-4624-c3d3-eeb8-00367bbc906c@HIDDEN>
Date: Wed, 10 Oct 2018 00:11:03 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.9.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 10 Oct 2018 04:10:58 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

I noticed EWW sends header "Accept: */*", which appears to prevent
HTTP servers that provide multiple content types from picking a sensible
response content type.

More information about the Accept header with a list of RFCs at the
bottom of the page can be found here [1]. For comparison lynx sends a
more specific header, which indicates It'd prefer common web content
types before anything else [2]. I experienced this particular bug when
browsing [3], which uses the Accept header to determine when to show the
built-in API Explorer. In a web browser it shows a HTML form to interact
with the API, however actual API clients use "Accept: application/json"
or similar to get the desired format.


Regards,
Winston Weinert


[1]: https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Accept
[2]: "Accept: text/html, text/plain, text/sgml, text/css, 
application/xhtml+xml, */*;q=0.01"
[3]: https://restframework.herokuapp.com/


In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll 
bars)
  of 2018-09-08 built on snowcrash
Windowing system distributor 'The X.Org Foundation', version 11.0.11905000
System Description:	Gentoo Base System release 2.4.1

Recent messages:
C-c C-g is undefined
Quit
Contacting host: duckduckgo.com:443
ImageMagick error: insufficient image data in file `/tmp/foo.ico' @ 
error/icon.c/ReadICONImage/375
Contacting host: localhost:8000
Making completion list... [3 times]
Note: file is write protected
Mark saved where search started
Quit
delete-backward-char: Text is read-only

Configured using:
  'configure --prefix=/usr --build=x86_64-pc-linux-gnu
  --host=x86_64-pc-linux-gnu --mandir=/usr/share/man
  --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc
  --localstatedir=/var/lib --disable-silent-rules
  --docdir=/usr/share/doc/emacs-26.1-r3
  --htmldir=/usr/share/doc/emacs-26.1-r3/html --libdir=/usr/lib64
  --program-suffix=-emacs-26 --infodir=/usr/share/info/emacs-26
  --localstatedir=/var
  --enable-locallisppath=/etc/emacs:/usr/share/emacs/site-lisp
  --without-compress-install --without-hesiod --without-pop
  --with-file-notification=inotify --enable-acl --with-dbus
  --without-modules --without-gameuser --without-gpm --without-kerberos
  --without-kerberos5 --with-lcms2 --with-xml2 --without-mailutils
  --without-selinux --with-gnutls --without-libsystemd --with-threads
  --without-wide-int --with-zlib --with-sound=alsa --with-x --without-ns
  --without-gconf --without-gsettings --with-toolkit-scroll-bars
  --with-gif --with-jpeg --with-png --with-rsvg --with-tiff --with-xpm
  --with-imagemagick --with-xft --without-cairo --without-libotf
  --without-m17n-flt --with-x-toolkit=lucid --with-xaw3d 'CFLAGS=-O2
  -pipe -march=bdver2' CPPFLAGS= 'LDFLAGS=-Wl,-O1 -Wl,--as-needed''

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS NOTIFY ACL
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS LUCID X11 THREADS
LCMS2

Important settings:
   value of $LANG: en_US.utf8
   locale-coding-system: utf-8-unix

Major mode: Outline

Minor modes in effect:
   TeX-PDF-mode: t
   global-magit-file-mode: t
   diff-auto-refine-mode: t
   magit-auto-revert-mode: t
   global-git-commit-mode: t
   async-bytecomp-package-mode: t
   override-global-mode: t
   winum-mode: t
   shell-dirtrack-mode: t
   recentf-mode: t
   global-edit-server-edit-mode: t
   mode-line-bell-mode: t
   editorconfig-mode: t
   electric-pair-mode: t
   image-diredx-async-mode: t
   show-paren-mode: t
   cl-old-struct-compat-mode: t
   tooltip-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   buffer-read-only: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim hides 
~/.emacs.d/custom/emacs-eclim/eclim
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-java-run hides 
~/.emacs.d/custom/emacs-eclim/eclim-java-run
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-macros hides 
~/.emacs.d/custom/emacs-eclim/eclim-macros
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-debug hides 
~/.emacs.d/custom/emacs-eclim/eclim-debug
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-completion hides 
~/.emacs.d/custom/emacs-eclim/eclim-completion
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-common hides 
~/.emacs.d/custom/emacs-eclim/eclim-common
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-problems hides 
~/.emacs.d/custom/emacs-eclim/eclim-problems
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-maven hides 
~/.emacs.d/custom/emacs-eclim/eclim-maven
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclimd hides 
~/.emacs.d/custom/emacs-eclim/eclimd
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-ant hides 
~/.emacs.d/custom/emacs-eclim/eclim-ant
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-pkg hides 
~/.emacs.d/custom/emacs-eclim/eclim-pkg
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-project hides 
~/.emacs.d/custom/emacs-eclim/eclim-project
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-scala hides 
~/.emacs.d/custom/emacs-eclim/eclim-scala
/home/winston/.emacs.d/elpa/eclim-20180928.523/eclim-java hides 
~/.emacs.d/custom/emacs-eclim/eclim-java
~/.emacs.d/custom/emacs-eclim/company-emacs-eclim hides 
/home/winston/.emacs.d/elpa/company-emacs-eclim-20180911.1121/company-emacs-eclim
~/code/cyberpunk-theme.el/cyberpunk-theme hides 
/home/winston/.emacs.d/elpa/cyberpunk-theme-20180609.509/cyberpunk-theme

Features:
(shadow sort mail-extr emacsbug rng-xsd xsd-regexp rng-cmpct rng-nxml
rng-valid nxml-mode nxml-outln nxml-rap sgml-mode tabify man scheme
yaml-mode term ehelp sml-mode conf-mode gist gh-gist gh-oauth gh-api
logito gh-cache pcache gh-auth gh-url gh-profile timezone eieio-base
cus-edit url-file url-dired eww mm-url url-queue helm-dash helm
helm-source helm-multi-match helm-lib eclim-scala eclim-debug eclimd gud
eclim-java-run eclim-ant eclim-maven eclim-project eclim-java
eclim-problems yasnippet eclim-common popup arc-mode archive-mode
eclim-macros package-recipe-mode package-build-badges package-build
package-recipe skeleton ibuf-macs grep ibuf-ext ibuffer ibuffer-loaddefs
racket-unicode-input-method quail racket-debug racket-mode
racket-bug-report racket-collection racket-stepper racket-logger
racket-profile racket-imenu racket-edit racket-complete shr svg dom
racket-repl racket-common racket-indent racket-font-lock racket-ppss
racket-keywords-and-builtins tq racket-util racket-custom sh-script smie
executable tar-mode autoload radix-tree lisp-mnt mm-archive
network-stream starttls url-cache tmm haskell-doc inf-haskell
haskell-decl-scan haskell haskell-completions haskell-load
haskell-commands highlight-uses-mode haskell-modules haskell-sandbox
haskell-navigate-imports haskell-repl haskell-svg haskell-collapse
hideshow haskell-debug haskell-interactive-mode
haskell-presentation-mode haskell-compile haskell-hoogle haskell-process
haskell-session vc-git haskell-mode haskell-cabal haskell-utils
haskell-font-lock haskell-indentation haskell-string
haskell-sort-imports haskell-lexeme haskell-align-imports haskell-compat
haskell-complete-module haskell-ghc-support etags xref project dabbrev
haskell-customize ssh-config-mode misearch multi-isearch preview
prv-emacs tex-buf font-latex latex tex-ispell tex-style tex dbus xml
tex-mode latexenc org-table ispell org-rmail org-mhe org-irc org-info
org-gnus nnir gnus-sum gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win org-docview org-bibtex bibtex org-bbdb org-w3m linum whitespace
editorconfig-core editorconfig-core-handle editorconfig-fnmatch
smart-mode-line-dark-theme smart-mode-line rich-minority cyberpunk-theme
magithub magithub-dash magithub-notification magithub-orgs
magithub-issue-tricks magithub-issue-post magithub-edit-mode
magithub-repo magithub-ci magithub-issue magithub-label magithub-user
magithub-core magithub-faces magithub-settings parse-time markdown-mode
color bug-reference ghub+ apiwrap apropos s magit-bookmark
magit-obsolete magit-blame magit-stash magit-bisect magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-collab ghub-graphql treepy
graphql pcase ghub url-http tls gnutls url-gw nsm url-auth url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap let-alist json map magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log magit-diff smerge-mode
diff-mode magit-core magit-autorevert autorevert filenotify
magit-process magit-margin magit-mode git-commit magit-git magit-section
magit-utils crm subr-x magit-popup log-edit pcvs-util add-log
with-editor async-bytecomp async server use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core cl-extra winum dash python-mode which-func imenu shell
hippie-exp flymake-proc flymake warnings compile cc-cmds cc-engine
cc-vars cc-defs web-mode disp-table dashboard dashboard-widgets recentf
tree-widget page-break-lines org-agenda bookmark pp smex edit-server
keychain-environment help-mode dired+ image-file dired-x dired-aux
buffer-move windmove mode-line-bell editorconfig ox-twbs ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar ox-html table ox-ascii
ox-publish ox profiler org-element avl-tree generator org org-macro
org-footnote org-pcomplete pcomplete org-list org-faces org-entities
noutline outline easy-mmode org-version ob-emacs-lisp ob ob-tangle
org-src ob-ref ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs find-func elec-pair irfc scribble
finder-inf edmacro kmacro gh-common marshal eieio-compat image-dired+
image-dired rx pydoc-info advice info-look info package url-handlers
url-parse url-vars wheatgrass-theme paren gnus nnheader wid-edit
cus-start cus-load site-gentoo mu4e desktop frameset mu4e-speedbar
speedbar sb-image ezimage dframe mu4e-main mu4e-context mu4e-view
cal-menu calendar cal-loaddefs thingatpt browse-url comint ansi-color
ring mu4e-headers mu4e-compose mu4e-draft mu4e-actions ido rfc2368
smtpmail auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
sendmail mu4e-mark mu4e-message html2text mu4e-proc mu4e-utils doc-view
jka-compr image-mode mu4e-lists mu4e-vars message rmc puny seq byte-opt
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
easymenu mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader hl-line cl gv cl-loaddefs cl-lib
mu4e-meta preview-latex auto-loads tex-site mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting font-render-setting
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 2584773 148802)
  (symbols 48 78658 1)
  (miscs 40 5277 2890)
  (strings 32 395278 13798)
  (string-bytes 1 15855316)
  (vectors 16 114301)
  (vector-slots 8 2574679 85614)
  (floats 8 656 957)
  (intervals 56 273185 3106)
  (buffers 992 129))




Acknowledgement sent to Winston Weinert <winston@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33002; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 13 May 2019 18:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.